Classify
Create Classify Job
client.classify.create(ClassifyCreateParams { organization_id, project_id, configuration, 6 more } params, RequestOptionsoptions?): ClassifyCreateResponse { id, configuration, document_input_type, 11 more }
POST/api/v2/classify
List Classify Jobs
client.classify.list(ClassifyListParams { configuration_id, created_at_on_or_after, created_at_on_or_before, 6 more } query?, RequestOptionsoptions?): PaginatedCursor<ClassifyListResponse { id, configuration, document_input_type, 11 more } >
GET/api/v2/classify
Get Classify Job
client.classify.get(stringjobID, ClassifyGetParams { organization_id, project_id } query?, RequestOptionsoptions?): ClassifyGetResponse { id, configuration, document_input_type, 11 more }
GET/api/v2/classify/{job_id}
ModelsExpand Collapse
ClassifyCreateRequest { configuration, configuration_id, file_id, 4 more }
ClassifyCreateRequest { configuration, configuration_id, file_id, 4 more }
Request to create a classify job.
transaction_id?: string | null
transaction_id?: string | null
Idempotency key scoped to the project. Reusing a key returns the original job; the new request body is ignored.
maxLength255
webhook_configurations?: Array<WebhookConfiguration> | null
webhook_configurations?: Array<WebhookConfiguration> | null
Outbound webhook endpoints to notify on job status changes
webhook_events?: Array<"classify.cancelled" | "classify.error" | "classify.partial_success" | 25 more> | null
webhook_events?: Array<"classify.cancelled" | "classify.error" | "classify.partial_success" | 25 more> | null
Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.
One of the following:
webhook_headers?: Record<string, string> | null
webhook_headers?: Record<string, string> | null
Custom HTTP headers sent with each webhook request (e.g. auth tokens)
webhook_output_format?: string | null
webhook_output_format?: string | null
Response format sent to the webhook: ‘string’ (default) or ‘json’
webhook_signing_secret?: string | null
webhook_signing_secret?: string | null
Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=
ClassifyCreateResponse { id, configuration, document_input_type, 11 more }
ClassifyCreateResponse { id, configuration, document_input_type, 11 more }
ClassifyListResponse { id, configuration, document_input_type, 11 more }
ClassifyListResponse { id, configuration, document_input_type, 11 more }
ClassifyGetResponse { id, configuration, document_input_type, 11 more }
ClassifyGetResponse { id, configuration, document_input_type, 11 more }